import React, { useEffect } from "react";
import { Carousel } from 'antd';
import "./style.less";

export default (props) => {
  const list = [
    {
      id: '1', url: 'https://qbitnetwork.com/_nuxt/img/001.cf2fdf6.png', title: '量子虚拟卡，一卡畅享全球支付体验',
      text1: '高效覆盖VISA和Mastercard线上线下国际支付场景', text2: '卡段丰富，批量开卡无限制，支付成功率与稳定性高，满足多样支付需求'
    },
    {
      id: '2', url: 'https://qbitnetwork.com/_nuxt/img/002.663300e.png', title: '全球收款，本地化收款优化全球资金链路',
      text1: '更低费率，0元线上开户，入金封顶千三，结汇无限额', text2: '全球覆盖，支持40+主流货币，覆盖180+国家/地区'
    },
    {
      id: '3', url: 'https://qbitnetwork.com/_nuxt/img/003.5d6dea0.png', title: '国际付款，强大支付网络优化付款链路',
      text1: '与全球支付网络无缝直连，实现高效、低成本国际付款', text2: '可通过网页客户端批量向收款人支付，或通过API实现全方位支付自动化'
    },
    {
      id: '4', url: 'https://qbitnetwork.com/_nuxt/img/004.f8be4da.png', title: '奇点融，减少账期压力提升经营效益',
      text1: '纯线上申请流程，快至24小时内完成风控，48小时放款', text2: '纯信用贷款一次授信、循环使用，流程操作简单，省心省事'
    }
  ]
  return (
    <Carousel autoplay style={{ height: '40vw' }}>
      {
        list?.map((item) => {
          return (
            <div key={item?.id}>
              <img src={item?.url} className="qlogin-carousel-img" />
              <div className="qlogin-carousel-title">{item?.title}</div>
              <div className="qlogin-carousel-text">
                {item?.text1}
              </div>
              <div className="qlogin-carousel-text">
                {item?.text2}
              </div>
            </div>
          )
        })
      }
    </Carousel>
  )
}