import React, { useState } from 'react';
import { LoadingOutlined, PlusOutlined } from '@ant-design/icons';
import { useTranslation } from 'react-i18next';
import Upload from './Upload';

export default (props) => {
  const { value, onChange } = props;
  const { t } = useTranslation();

  const [loading, setLoading] = useState(false);

  const UploadButton = (props) => (
    <div style={{ textAlign: 'center' }}>
      {props.loading ? <LoadingOutlined /> : <PlusOutlined />}
      <div style={{ marginTop: 8 }}>{t('authentication.uploadText')}</div>
    </div>
  );

  const handleChange = info => {
    if (info.file.status === 'uploading') {
      setLoading(true);
      return;
    }
    if (info.file.status === 'error') {
      setLoading(false);
      return;
    }

    if (info.file.status === 'done') {
      setLoading(false);
      const { url, fileType } = info.file.response;
    }
  };

  return (
    <Upload
      accept=".pdf"
      onChange={handleChange}
    >
      {value ? '' : <UploadButton loading={loading} />}
    </Upload>
  )
}