import React from "react";
import { Divider, Card, Steps, Button, Radio, Form, Input, Row, Col, Select } from "antd";
import UploadFile from "@/components/Upload/UploadFile";
import { useTranslation } from 'react-i18next';
import "../style.less";

export default (props) => {
  const { index, setIndex } = props;
  const [form] = Form.useForm();
  const { t } = useTranslation();

  const onFinish = () => {

  };     

  const onNext = () => {
    setIndex(index + 1)
  }

  return (
    <>
      <div style={{ fontSize: '24px', fontWeight: '400' }}>{t('authentication.titleRight')}</div>
      <Card bordered={false} style={{ width: '900px', marginBottom: '24px' }}>
        <div style={{ color: 'red', fontWeight: '600' }}>{t('authentication.rightTopSubTitle')}</div>
        <div style={{ color: '#bfbfbf' }}>{t('authentication.rightTopText')}</div>
      </Card>
      <Form
        form={form}
        layout="vertical"
        onFinish={onFinish}
      >
        <Card bordered={false} style={{ width: '900px', marginBottom: '24px' }}>
          <Form.Item>
            <div style={{ fontSize: '16px', fontWeight: '600' }}>{t('authentication.subTitleRight')}</div>
            <div style={{ marginTop: '40px', fontSize: '16px' }}>{t('authentication.uploadTitle1')}</div>
            <div style={{ display: 'flex', alignItem: 'stretch' }}>
              <div className="authentication-right-upload-box">
                <UploadFile />
              </div>
              <div style={{ flex: 1.2 }}>
                <div style={{ padding: '0 15px' }}>{t('authentication.uploadPromptText1')}</div>
                <div style={{ padding: '0 15px' }}>{t('authentication.uploadPromptText2')}</div>
                <div style={{ padding: '0 15px' }}>{t('authentication.uploadPromptText3')}</div>
                <Button type="link">{t('authentication.uploadBtnText')}</Button>
              </div>
            </div>
          </Form.Item>
          <Form.Item>
            <div style={{ marginTop: '40px', fontSize: '16px' }}>{t('authentication.uploadTitle2')}</div>
            <div style={{ display: 'flex', alignItem: 'stretch' }}>
              <div className="authentication-right-upload-box">
                <UploadFile />
              </div>
              <div style={{ flex: 1.2 }}>
                <div style={{ padding: '0 15px' }}>{t('authentication.uploadPromptText1')}</div>
                <div style={{ padding: '0 15px' }}>{t('authentication.uploadPromptText2')}</div>
                <div style={{ padding: '0 15px' }}>{t('authentication.uploadPromptText3')}</div>
                <div style={{ padding: '0 15px', fontWeight: '600' }}>4.{t('authentication.uploadPromptTextII4')}</div>
                <Button type="link">{t('authentication.uploadBtnText')}</Button>
              </div>
            </div>
          </Form.Item>
          <Form.Item>
            <div style={{ marginTop: '40px', fontSize: '16px' }}>{t('authentication.uploadTitle3')}</div>
            <div style={{ display: 'flex', alignItem: 'stretch' }}>
              <div className="authentication-right-upload-box">
                <UploadFile />
              </div>
              <div style={{ flex: 1.2 }}>
                <div style={{ padding: '0 15px' }}>{t('authentication.uploadPromptText1')}</div>
                <div style={{ padding: '0 15px' }}>{t('authentication.uploadPromptText2')}</div>
                <div style={{ padding: '0 15px' }}>{t('authentication.uploadPromptText3')}</div>
                <div style={{ padding: '0 15px' }}>{t('authentication.uploadPromptTextIII4')}</div>
                <div style={{ padding: '0 15px', fontWeight: '600' }}>5.{t('authentication.uploadPromptTextII4')}</div>
                <Button type="link">{t('authentication.uploadBtnText')}</Button>
              </div>
            </div>
          </Form.Item>
          <Form.Item>
            <div style={{ marginTop: '40px', fontSize: '16px' }}>{t('authentication.uploadTitle4')}</div>
            <div style={{ display: 'flex', alignItem: 'stretch' }}>
              <div className="authentication-right-upload-box">
                <UploadFile />
              </div>
              <div style={{ flex: 1.2 }}>
                <div style={{ padding: '0 15px' }}>{t('authentication.uploadPromptText1')}</div>
                <div style={{ padding: '0 15px' }}>{t('authentication.uploadPromptText2')}</div>
                <div style={{ padding: '0 15px' }}>{t('authentication.uploadPromptText3')}</div>
                <Button type="link">{t('authentication.uploadBtnText')}</Button>
              </div>
            </div>
          </Form.Item>
        </Card>
        <Card bordered={false} style={{ width: '900px', marginBottom: '24px' }}>
          <Form.Item label={t('authentication.formRightLabel1')}>
            <Radio style={{ fontSize: '16px', fontWeight: '600' }}>{t('authentication.enterpriseTypeRadio1')}</Radio>
            <Radio style={{ fontSize: '16px', fontWeight: '600' }}>{t('authentication.enterpriseTypeRadio2')}</Radio>
            <Radio style={{ fontSize: '16px', fontWeight: '600' }}>{t('authentication.enterpriseTypeRadio3')}</Radio>
            <Radio style={{ fontSize: '16px', fontWeight: '600' }}>{t('authentication.enterpriseTypeRadio4')}</Radio>
          </Form.Item>
          <Form.Item label={t('authentication.formRightLabel2')}>
            <Input.Group>
              <Row>
                <Col span={8}>
                  <Input placeholder="12345678" size="large" />
                </Col>
                <Col span={4}><Input placeholder="000" size="large" /></Col>
              </Row>
            </Input.Group>
          </Form.Item>


          <Form.Item label={t('authentication.formRightLabel3')} wrapperCol={{ span: 8 }}>
            <Select defaultValue={t('authentication.formRightSelect1')}>
            </Select>
          </Form.Item>

          <Form.Item>
            <Select placeholder={t('authentication.formRightSelectPlaceholder1')}>
            </Select>
          </Form.Item>
          <Form.Item>
            <Input placeholder={t('authentication.formRightInputPlaceholder2')} />
          </Form.Item>
          <Form.Item>
            <Input placeholder={t('authentication.formRightInputPlaceholder3')} />
          </Form.Item>
          <Form.Item>
            <Input placeholder={t('authentication.formRightInputPlaceholder4')} />
          </Form.Item>
          <Form.Item label={t('authentication.formRightLabel4')} wrapperCol={{ span: 8 }}>
            <Select defaultValue={t('authentication.formRightSelectPlaceholderII1')}>
            </Select>
          </Form.Item>

          <Form.Item>
            <Select placeholder={t('authentication.formRightSelectPlaceholder1')}>
            </Select>
          </Form.Item>
          <Form.Item>
            <Input placeholder={t('authentication.formRightInputPlaceholder2')} />
          </Form.Item>
          <Form.Item>
            <Input placeholder={t('authentication.formRightInputPlaceholder3')} />
          </Form.Item>
          <Form.Item>
            <Input placeholder={t('authentication.formRightInputPlaceholder4')} />
          </Form.Item>

          <Form.Item label={t('authentication.formRightLabel5')}>
            <Select placeholder={t('authentication.formRightInputPlaceholder5')}>
            </Select>
          </Form.Item>
          <Form.Item label={t('authentication.formRightLabel6')}>
            <Select placeholder={t('authentication.formRightInputPlaceholder6')}>
            </Select>
          </Form.Item>
          <Button type="primary" onClick={onNext} >{t('authentication.foundationInfoNextBtn')}</Button>
        </Card>
      </Form>
    </>
  )
}