import React, { useEffect, useState } from "react";
export default (props) => {
  const [currentImageIndex, setCurrentImageIndex] = useState(0);
  const [isFadingOut, setIsFadingOut] = useState(false);

  const imgShow = [
    "https://qbitnetwork.com/_nuxt/img/001.003.9de6ffe.png",
    "https://qbitnetwork.com/_nuxt/img/001.002.c7d53bd.png",
    "https://qbitnetwork.com/_nuxt/img/001.001.97d8def.png",
  ];

  const updateImageIndex = () => {
    setIsFadingOut(true);

    setCurrentImageIndex((prevIndex) => (prevIndex + 1) % imgShow.length);

    setTimeout(() => {
      setIsFadingOut(false);
    }, 1500); 
  };
  useEffect(() => {
    const timer = setInterval(updateImageIndex, 5000);

    // 清除定时器
    return () => clearInterval(timer);
  }, []);

  return (
    <div className="page_details">
      <div className="page_black">
        <span>
          一站式全球资金
          <br />
          管理平台
        </span>
        <p>
          通过搭建数字化的跨境支付和金融基础设施，帮助企业实现更高时效、更低成本的全球收付和财务管理，轻松实现全球业务扩展与增长。
        </p>
        <div className="flickerAll">
          <div className="flicker">
            <span>现在注册</span>
          </div>
          <div className="flicker flickers">
            <span>联系我们</span>
          </div>
        </div>
      </div>
      <img
        className="svgImg"
        src="https://qbitnetwork.com/_nuxt/img/001.000.94cac20.svg"
        alt=""
      />
      <div className="imgRound">
        <div className="relatives">
          <img
            src={imgShow[currentImageIndex]}
            className={isFadingOut ? "fade-out" : ""}
            alt=""
          />
        </div>
      </div>


    </div>
  );
};
