import List from "@/components/Page/List";
import React, { useState } from "react";

import { getFxUser, deleteFxUserAndLogin } from "@/services/fxuser";

import { useNavigate } from "react-router-dom";
import { Button } from "antd";
import moment from "moment";
import Massage from "@/components/Massage";
export default (props) => {
  const navigate = useNavigate();
  const actionRef = React.useRef();

  const columns = [
    {
      title: "用户名",
      dataIndex: "userName",
      key: "userName",
    },
    {
      title: "手机号",
      dataIndex: "phone",
      key: "phone",
    },

    {
      title: "创建时间",
      dataIndex: "createdAt",
      key: "createdAy",
      search: false,
      render: (t) => moment(t).format("YYYY-MM-DD HH:mm:ss"),
    },
  ];

  const DeleteFxUser = (record) => {
    deleteFxUserAndLogin(record.userId).then((res) => {
      actionRef.current.reload();
    });
  };
  const [open, setOpen] = useState(false);
  return (
    <>
      <List
        rowKey="userId"
        actionRef={actionRef}
        request={() => {}}
        onEdit={(record) => navigate(`/fxuser/edit?id=${record.userId}`)}
        onDelete={DeleteFxUser}
        toolBarRender={() => [
          <Button key="1" type="primary" onClick={() => setOpen(true)}>
            新增
          </Button>,
        ]}
        columns={columns}
      />
      <Massage open={open} setOpen={setOpen} />
    </>
  );
};
